Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class NetworkHeightField

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.imp3d.objects.HeightField
                  de.grogra.imp3d.objects.NetworkHeightField

All Implemented Interfaces:
  ContextDependent, VertexGrid, VertexSet, Manageable, Shareable

    public class NetworkHeightField

extends HeightField

Nested Class Summary
`static class` | `NetworkHeightField.Type`

Field Summary
`static NetworkHeightField.Type` | `$TYPE`
`static SCOType.Field` | `height$FIELD`
`static SCOType.Field` | `xSize$FIELD`
`static SCOType.Field` | `ySize$FIELD`

Fields inherited from class de.grogra.imp3d.objects.HeightField
`mapping$FIELD`

Constructor Summary
`NetworkHeightField()`

Method Summary
`ChannelMap` | `getHeight()`
`float` | `getHeight(int u, int v, GraphState gs)`
`ManageableType` | `getManageableType()`
`int` | `getUSize(GraphState gs)`
`int` | `getVSize(GraphState gs)`
`int` | `getXSize()`
`int` | `getYSize()`
`void` | `setHeight(ChannelMap value)`
`void` | `setXSize(int value)`
`void` | `setYSize(int value)`

Methods inherited from class de.grogra.imp3d.objects.HeightField
`dependsOnContext, getDimension, getMapping, getVertex, getVertexIndex, isRational, setMapping`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Field Detail

### $TYPE

    public static final NetworkHeightField.Type $TYPE

### height$FIELD

    public static final SCOType.Field height$FIELD

### xSize$FIELD

    public static final SCOType.Field xSize$FIELD

### ySize$FIELD

    public static final SCOType.Field ySize$FIELD

Constructor Detail

### NetworkHeightField

    public NetworkHeightField()

Method Detail

### getHeight

    public ChannelMap getHeight()

### getHeight

    public float getHeight(int u,
                           int v,
                           GraphState gs)

  Specified by:
    `getHeight` in class `HeightField`

### getManageableType

    public ManageableType getManageableType()

### getUSize

    public int getUSize(GraphState gs)

### getVSize

    public int getVSize(GraphState gs)

### getXSize

    public int getXSize()

### getYSize

    public int getYSize()

### setHeight

    public void setHeight(ChannelMap value)

### setXSize

    public void setXSize(int value)

### setYSize

    public void setYSize(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD